Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## STD
Class emos_std_wrlog_lib

public class emos_std_wrlog_lib

# This library implements the interface to EMOS remote logging functionallity for WinRunner.

Method Summary
`int` | `log_cmd(in txt)`
`int` | `log_txt(in txt)`
`int` | `wrlog_print(in msg)` Sends an unformatted message to rlog clients (if connected).
`int` | `wrlog_println(in msg)` Sends an unformatted message to rlog clients (if connected).
`int` | `wrlog_suite_init(in suite, in ticks)` Sends an formatted message to rlog clients (if connected) defining what test suite is being processed and the 100% size of the suite scale.
`int` | `wrlog_suite_tick(in ticks)` Sends an formatted message to rlog clients (if connected) increasing the number of ticks for the suite scale.
`int` | `wrlog_test_init(in test, in isProcessed)` Sends an formatted message to rlog clients (if connected) defining what test is being (or not being) processed.
`int` | `wrlog_test_status(in test, in status)` Sends an formatted message to rlog clients (if connected) defining the status (return code) of the processed test.

Method Detail

### log_cmd

    public int log_cmd(in txt)

### log_txt

    public int log_txt(in txt)

### wrlog_print

    public int wrlog_print(in msg)

  Sends an unformatted message to rlog clients (if connected). The message is sent as is.
  Parameters:
    msg - (in) message to be sent

### wrlog_println

    public int wrlog_println(in msg)

  Sends an unformatted message to rlog clients (if connected). The message is automatically suffixed by the newline character.
  Parameters:
    msg - (in) message to be sent

### wrlog_suite_init

    public int wrlog_suite_init(in suite, in ticks)

  Sends an formatted message to rlog clients (if connected) defining what test suite is being processed and the 100% size of the suite scale.
  Parameters:
    suite - (in) name of the suite (Excel table name)
    ticks - (in) max number of ticks (= 100%)

### wrlog_suite_tick

    public int wrlog_suite_tick(in ticks)

  Sends an formatted message to rlog clients (if connected) increasing the number of ticks for the suite scale.
  Parameters:
    ticks - (in) number of ticks the scale is to e uncreased

### wrlog_test_init

    public int wrlog_test_init(in test, in isProcessed)

  Sends an formatted message to rlog clients (if connected) defining what test is being (or not being) processed.
  Parameters:
    test - (in) name of the test
    isProcessed - (in) TRUE: will be processed, FALSE: will be ignored

### wrlog_test_status

    public int wrlog_test_status(in test, in status)

  Sends an formatted message to rlog clients (if connected) defining the status (return code) of the processed test.
  Parameters:
    test - (in) name of the test
    status - (in) retzrn code returned by the test driver

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD